OpenTV ENTera & OpenTV Platform Documentation
25.52_Q4 25.26_Q2 25.12_Q1 24.50_Q4 24.38_Q3 24.26_Q2 23.50_Q4 23.24_Q2 23.12_Q1 22.50_Q4 22.38_Q3 22.24_Q2
25.52_Q4 25.26_Q2 25.12_Q1 24.50_Q4 24.38_Q3 24.26_Q2 23.50_Q4 23.24_Q2 23.12_Q1 22.50_Q4 22.38_Q3 22.24_Q2

DELETE /cxf/pri/v1/capturedassets/{id}

Asset purge

The PRI client will send a DELETE request with no payload including the <id> of the single resource that needs to be deleted to the following URL:

http://<server>:<port>/<relative_path>/cxf/pri/v1/capturedassets/<id>

If a delete request is sent before the encoder has completed the capture process, it is expected that the encoder will abort the capture and do its own housekeeping clean-up.

Request headers

Header

Type

Description

Required value

Accept

String

application/json

Yes

Content-Type

String

application/json

Yes

Path parameters

Parameter

Type

Description

Required

id

String

Public unique identifier of the captured asset

Yes

Request body

The request body must be empty.

Success response

An HTTP 200 response occurs when captured asset is deleted.

Error response

An HTTP 400 response occurs for a bad request.

An HTTP 500 response occurs when there is a PRI Adapter internal error (e.g., mandatory parameters are unspecified).

An HTTP 501 response occurs for method not implemented.

An HTTP 504 response occurs for encoder timeout.

An example error response for HTTP error code 501:

{
    "statusCode": "501",
    "statusMessage": "Internal Error ::Method Not Implemented"
}